/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

#import <Foundation/Foundation.h>

#import <FBSimulatorControl/FBSimulatorEventSink.h>

@class FBSimulator;

NS_ASSUME_NONNULL_BEGIN

/**
 An Event Relay that writes messages to a logger.
 */
@interface FBSimulatorLoggingEventSink : NSObject <FBSimulatorEventSink>

/**
 Creates a new Logging Event Sink for the provided Simulator.

 @param simulator the Simulator to log events for. Will not be retained. Must not be nil.
 @param logger the Logger to write messages to. May be nil.
 @return a new FBSimulatorLoggingEventSink instance.
 */
+ (instancetype)withSimulator:(FBSimulator *)simulator logger:(nullable id<FBControlCoreLogger>)logger;

@end

NS_ASSUME_NONNULL_END
